Bug 960978 - Theme changed itself with no action
Theme changed itself with no action
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 08:42 EDT by Matthew Saltzman
Modified: 2014-02-05 16:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:16:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2013-05-08 08:42:20 EDT
Description of problem:
Somehow, my theme changed without any action on my part.  I had the default theme set.  During reboot after recent updates, the machine froze.  On rebooting, I could not log in--I got the background screen and my keyboard remapping was set, but no panels or icons showed.

Turns out, the theme was now set to Nodaka, even though I had made no change and Nodaka was not even installed, so was not an option.

I reset the theme by running gnome-tweak-tool remotely via ssh, and all was well after that.

Version-Release number of selected component (if applicable):
gnome-shell-3.6.3.1-1.fc18.x86_64

How reproducible:
One-off, so far.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Saltzman 2013-05-08 08:45:27 EDT
Perhaps the real issue here is that there was no opportunity to diagnose or fix the problem when gnome-shell determined that the designated theme was unavailable.  A dialog allowing selection of another theme, automatic fallback to the default theme, or at very least, a diagnostic message in a pop-up would seem to be in order.
Comment 2 Olav Vitters 2013-05-08 09:06:50 EDT
This was raised on the fedora users list.

It would be nice not to fail on a bad theme, but just fail back to the default. Not sure if possible. Aside from that, maybe show the GDM session log optionally (hidden by some expander) in the fail screen.
Comment 3 Florian Müllner 2013-05-09 12:15:29 EDT
(In reply to comment #2)
> It would be nice not to fail on a bad theme, but just fail back to the
> default.

Is this about the user-themes extension? Officially we only support themes for toolkit and window decorations, which both do exactly that (fall back to defaults) ...
Comment 4 Matthew Saltzman 2013-05-09 14:43:44 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > It would be nice not to fail on a bad theme, but just fail back to the
> > default.
> 
> Is this about the user-themes extension? Officially we only support themes
> for toolkit and window decorations, which both do exactly that (fall back to
> defaults) ...

Well, I did nothing with user themes.  In fact, I hadn't touched themes at all--was originally set to use the default.  I did have gnome-tweak-tool installed, but only to manage mouse settings and plugins.  I had not used it to do anything with themes.

I have noticed on occasion that some settings seem to change spontaneously if I restart.  For example, highlighting the pointer when the control key is pressed seems not to be always preserved.
Comment 5 Florian Müllner 2013-05-10 09:48:04 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Is this about the user-themes extension? Officially we only support themes
> > for toolkit and window decorations, which both do exactly that (fall back to
> > defaults) ...
> 
> Well, I did nothing with user themes.

This doesn't quite answer the question of what theme is causing trouble :-)

Relevant options I can think of: gnome-shell theme (no official themeing support, but available via the user-themes extension), window decoration theme (e.g. "gsettings get org.gnome.desktop.wm.preferences theme") and toolkit theme (e.g. "gsettings get org.gnome.desktop.interface gtk-theme").

Note that I can't reproduce the issue setting either of those to bogus values, so I'm really curious about what's going on.


> In fact, I hadn't touched themes at all--was originally set to use the 
> default.  I did have gnome-tweak-tool installed, but only to manage mouse 
> settings and plugins.  I had not used it
> to do anything with themes.

That is ... odd.


> I have noticed on occasion that some settings seem to change spontaneously
> if I restart.  For example, highlighting the pointer when the control key is
> pressed seems not to be always preserved.

This sounds like a dconf problem. If the dconf settings backend fails, there'll be a fallback to the memory backend, which just uses ram (e.g. settings values won't be shared between processes and changes are lost on restart). But even in that case there should never be a change to a non-default value ...
Comment 6 Florian Müllner 2013-05-10 09:59:56 EDT
(I'm assuming that this is about inofficial shell theming, as the bug was filed against the shell component)

(In reply to comment #2)
> It would be nice not to fail on a bad theme, but just fail back to the
> default. Not sure if possible.

This depends on the definition of "bad theme". If the theme is not installed (e.g. completely missing, as claimed in this bug) or does not contain the expected stylesheet, the default theme will be used. I'll propose a patch upstream to also behave more sanely when the theme's style is corrupt (for instance invalid CSS). I can't think of anything we can do for themes that are technically valid but break the interface anyway (which can easily happen on updates, as there's no clear separation between "code" and "style" in the shell)
Comment 7 Florian Müllner 2013-05-10 13:30:22 EDT
(In reply to comment #6)
> I'll propose a patch upstream to also behave more sanely when the 
> theme's style is corrupt (for instance invalid CSS).

Done, see https://bugzilla.gnome.org/show_bug.cgi?id=700097.
Comment 8 Fedora End Of Life 2013-12-21 08:26:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 16:16:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.